From e047077811f89fa2bb858af8d86d64fa3ed95feb Mon Sep 17 00:00:00 2001
From: Rob Jonson <rob@hobbyistsoftware.com>
Date: Sun, 25 Sep 2011 22:54:49 +0100
Subject: [PATCH 01/10] instead of sending the uri as name to
 input_item_NewExt, send NULL and the core will deal
 with it (fix #5378)

---
 modules/lua/vlc.c |   10 +---------
 1 files changed, 1 insertions(+), 9 deletions(-)

diff --git a/modules/lua/vlc.c b/modules/lua/vlc.c
index fd8a511..ea3f84b 100644
--- a/modules/lua/vlc.c
+++ b/modules/lua/vlc.c
@@ -521,15 +521,7 @@ int vlclua_playlist_add_internal( vlc_object_t *p_this, lua_State *L,
                     {
                         if( !lua_isnil( L, -1 ) )
                             msg_Warn( p_this, "Playlist item name should be a string." );
-
-                        psz_u8path = make_path( psz_path );
-                        if ( psz_u8path )
-                        {
-                            psz_name = strrchr( psz_u8path, '/' );
-                            if ( psz_name != NULL )
-                                psz_name++;
-                        }
-                        if ( !psz_name ) psz_name = psz_path;
+                        psz_name = NULL;
                     }
 
                     /* Read duration */
-- 
1.7.5

